Page MenuHomePhabricator

Remove redundant aliases for Project_talk
Closed, ResolvedPublic

Description

Per T173070, InitializeSettings.php now starts with:

'wgNamespaceAliases' => [
	// defaults to aid when things are switched
	// Set default aliases for project_talk for all projects // T173070
	'+wikibooks' => [
		'Wikibooks' => NS_PROJECT,
		'Wikibooks_talk' => NS_PROJECT_TALK,
	],
	'+wikinews' => [
		'Wikinews' => NS_PROJECT,
		'Wikinews_talk' => NS_PROJECT_TALK,
	],
	'+wikiquote' => [
		'Wikiquote' => NS_PROJECT,
		'Wikiquote_talk' => NS_PROJECT_TALK,
	],
	'+wikisource' => [
		'Wikisource' => NS_PROJECT,
		'Wikisource_talk' => NS_PROJECT_TALK,
	],
	'+wikiversity' => [
		'Wikiversity' => NS_PROJECT,
		'Wikiversity_talk' => NS_PROJECT_TALK,
	],
	'+wikipedia' => [
		'Wikipedia' => NS_PROJECT,
		'Wikipedia_talk' => NS_PROJECT_TALK,
	],
	'+wiktionary' => [
		'Wiktionary' => NS_PROJECT,
		'Wiktionary_talk' => NS_PROJECT_TALK,
	],
	'+wikivoyage' => [
		'Wikivoyage' => NS_PROJECT,
		'Wikivoyage_talk' => NS_PROJECT_TALK,
		'WV' => NS_PROJECT,
	],

However, a number of wikis had individually set Project_talk aliases identical to those added for the groups, and these should be removes for code readability and general cleanup. Example:

	'+azwikiquote' => [
		'Wikiquote_talk' => NS_PROJECT_TALK,
	],

Additionally, other general cleanup for identical aliases can be done. Eg, the following can be removed:

	'+abwiki' => [
		'Wikipedia' => NS_PROJECT,
	],

because "Wikipedia" is an alias for NS_PROJECT by default.

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptJun 27 2019, 7:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Good idea, since you're assigned, can you do that please?

Yes, I just wanted to make sure it would be okay with the powers that be

Change 519509 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Clean up wgNamespaceAliases

https://gerrit.wikimedia.org/r/519509

Dcljr added a comment.Jun 27 2019, 9:14 PM

I have no objections (FWIW).

I do notice that the following task numbers are no longer mentioned in (comments in) that part of InitialiseSettings.php, once r/519509 is merged:

  • T50075 (dvwiki, line 3666 in previous version of file)
  • T48846 (dvwiktionary, line 3671)

I assume this has no potential to cause confusion, but just mentioning here for the record...

Change 519509 merged by jenkins-bot:
[operations/mediawiki-config@master] Clean up wgNamespaceAliases

https://gerrit.wikimedia.org/r/519509

Mentioned in SAL (#wikimedia-operations) [2019-07-01T11:36:30Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:519509|Clean up wgNamespaceAliases]] (T226765) (duration: 00m 49s)

Urbanecm closed this task as Resolved.Jul 1 2019, 11:37 AM

Deployed.